Get script
Retrieves a specific script by its ID. Returns the complete script data including all nodes and edges.
Retrieves a specific script by its ID. Returns the complete script data including all nodes and edges.
Preferred API authentication. Use a JWT with the api audience.
In: header
Path Parameters
The instance containing the script. Format: UUID string.
uuidThe ID of the script to retrieve. Format: UUID string.
uuidResponse Body
application/json
application/json
application/json
application/json
curl -X GET "http://127.0.0.1:38765/v1/instances/:instance_id/scripts/:script_id"{ "script": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "description": "string", "nodes": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "type": "string", "position": { "x": 0.1, "y": 0.1 }, "data": { "property1": { "null_value": "NULL_VALUE", "number_value": 0.1, "string_value": "string", "bool_value": true, "struct_value": { "fields": { "property1": { "null_value": "NULL_VALUE", "number_value": 0.1, "string_value": "string", "bool_value": true, "struct_value": { "fields": {} }, "list_value": { "values": [ { "null_value": "NULL_VALUE", "number_value": 0.1, "string_value": "string", "bool_value": true, "struct_value": { "fields": {} }, "list_value": { "values": [] } } ] } }, "property2": { "null_value": "NULL_VALUE", "number_value": 0.1, "string_value": "string", "bool_value": true, "struct_value": { "fields": {} }, "list_value": { "values": [ { "null_value": "NULL_VALUE", "number_value": 0.1, "string_value": "string", "bool_value": true, "struct_value": { "fields": {} }, "list_value": { "values": [] } } ] } } } }, "list_value": { "values": [ { "null_value": "NULL_VALUE", "number_value": 0.1, "string_value": "string", "bool_value": true, "struct_value": { "fields": { "property1": { "null_value": "NULL_VALUE", "number_value": 0.1, "string_value": "string", "bool_value": true, "struct_value": { "fields": {} }, "list_value": { "values": [] } }, "property2": { "null_value": "NULL_VALUE", "number_value": 0.1, "string_value": "string", "bool_value": true, "struct_value": { "fields": {} }, "list_value": { "values": [] } } } }, "list_value": { "values": [] } } ] } }, "property2": { "null_value": "NULL_VALUE", "number_value": 0.1, "string_value": "string", "bool_value": true, "struct_value": { "fields": { "property1": { "null_value": "NULL_VALUE", "number_value": 0.1, "string_value": "string", "bool_value": true, "struct_value": { "fields": {} }, "list_value": { "values": [ { "null_value": "NULL_VALUE", "number_value": 0.1, "string_value": "string", "bool_value": true, "struct_value": { "fields": {} }, "list_value": { "values": [] } } ] } }, "property2": { "null_value": "NULL_VALUE", "number_value": 0.1, "string_value": "string", "bool_value": true, "struct_value": { "fields": {} }, "list_value": { "values": [ { "null_value": "NULL_VALUE", "number_value": 0.1, "string_value": "string", "bool_value": true, "struct_value": { "fields": {} }, "list_value": { "values": [] } } ] } } } }, "list_value": { "values": [ { "null_value": "NULL_VALUE", "number_value": 0.1, "string_value": "string", "bool_value": true, "struct_value": { "fields": { "property1": { "null_value": "NULL_VALUE", "number_value": 0.1, "string_value": "string", "bool_value": true, "struct_value": { "fields": {} }, "list_value": { "values": [] } }, "property2": { "null_value": "NULL_VALUE", "number_value": 0.1, "string_value": "string", "bool_value": true, "struct_value": { "fields": {} }, "list_value": { "values": [] } } } }, "list_value": { "values": [] } } ] } } }, "muted": true, "collapsed": true, "width": 0.1, "height": 0.1, "contained_nodes": [ "string" ], "label": "string", "resolved_type": "PORT_TYPE_ANY", "parent_frame_id": "string" } ], "edges": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "source": "string", "source_handle": "string", "target": "string", "target_handle": "string", "edge_type": "EDGE_TYPE_EXECUTION" } ], "instance_id": "06587974-2dbe-4e10-8bf9-38cce0f5a366", "paused": true, "quotas": { "max_execution_count": 0, "max_execution_time_ms": 0, "max_concurrent_triggers": 0, "max_state_store_entries": 0, "disable_timeouts": true } }}{ "code": 0, "grpc-code": "string", "message": "string", "stack-trace": "string", "details": [ {} ]}{ "code": 0, "grpc-code": "string", "message": "string", "stack-trace": "string", "details": [ {} ]}{ "code": 0, "grpc-code": "string", "message": "string", "stack-trace": "string", "details": [ {} ]}How is this page?
Deactivate script POST
Deactivates an active script. Unregisters all event listeners and cancels any pending async operations.
Update script PATCH
Updates an existing script's metadata and/or node graph. Only specified fields are updated; others remain unchanged. Use update_nodes/update_edges flags to explicitly set empty lists.